
CN REST - Task #7239

Story # 7101 (Closed): Add diagnostic support functions on CNs to assist with MN test and deployment

Implement CNDiagnostic.echoIndexedObject

2015-06-26 17:29 - Ben Leinfelder

Status: Closed Start date: 2015-06-26

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Diagnostic method for verifying, parsing and processing content by the indexer.

History

#1 - 2015-07-02 17:49 - Ben Leinfelder

- % Done changed from 0 to 30

- Assignee set to Ben Leinfelder

- Status changed from New to In Progress

Refactored index-processor to allow dual use as it was and for diagnostic API. Now integrating the configuration in CN rest webapp.

#2 - 2015-07-02 23:46 - Ben Leinfelder

Progress! Managed to get Spring configuration set with existing Autowired classes and new beans from the solr index processor.

So...

$ curl -F "sysMeta=@knb.3.1_sysMeta.xml" -F "object=@knb.3.1.xml" "https://cn-sandbox-2.test.dataone.org/cn/v2/diag/object"

Results in this response:

<?xml version="1.1" encoding="utf-8"?>

Survey about California GrasslandsLauren

WalkerWalkerurn:node:mnDemo22015-01-01T08:00:00Zuid=knbadmin,o=NCEAS,dc=ecoinformatics,dc=orguid=walker,o=NCEAS,dc=ecoinformatics

,dc=org834a64b2068f93ce028c03de8912b6b9MD5NCEAShttps://cn-sandbox-2.test.dataone.org/cn/v1/resolve/knb.3.1

urn:node:mnDemo22015-05-27T23:45:30.202Z2015-05-27T23:00:00Zknb.2.10.02015-01-01T08:00:00Z

https://cn-sandbox-2.test.dataone.org/cn/v1/resolve/knb.3.1

eml://ecoinformatics.org/eml-2.1.1METADATAss0s00s000s0000s00000s000000s0000000s00000000knb.3.1Walkertrue0.0NCEASLauren

Walker2015-05-27T07:00:00Zpublicuid=knbadmin,o=NCEAS,dc=ecoinformatics,dc=orguid=walker,o=NCEAS,dc=ecoinformatics,dc=orgurn:node:mn

Demo2urn:node:cnSandbox22015-05-27T23:45:10.893Z2015-05-27T23:45:17.797ZfalseresourceMap_knb.3.1uid=walker,o=NCEAS,dc=ecoinformati

cs,dc=orgCalifornia40430.0uid=walker,o=NCEAS,dc=ecoinformatics,dc=orgCalifornia Grasslands  NCEAS    Lauren  Walker   NCEAS   National

Center for Ecological Analysis and Synthesis  NCEAS    Lauren  Walker   associatedParty  2015-05-27  Survey about California Grasslands   no

restrictions    digital      2015     California   0.0000  0.0000  0.0000  0.0000      Lauren  Walker   NCEAS   data.txt   data.txt  1499 

85c5ddd96bb50f916275ca55c150213841ff6b91    text/plain      ecogrid://knb/knb.2.1     uid=knbadmin,o=NCEAS,dc=ecoinformatics,dc=org all   

uid=walker,o=NCEAS,dc=ecoinformatics,dc=org all    public  read      Other knb.3.1California

Grasslands0.0uid=knbadmin,o=NCEAS,dc=ecoinformatics,dc=orguid=walker,o=NCEAS,dc=ecoinformatics,dc=org
#3 - 2015-07-02 23:47 - Ben Leinfelder

Progress! Managed to get Spring configuration set with existing Autowired classes and new beans from the solr index processor.

So...

$ curl -F "sysMeta=@knb.3.1_sysMeta.xml" -F "object=@knb.3.1.xml" "https://cn-sandbox-2.test.dataone.org/cn/v2/diag/object"

Results in this response:

<?xml version="1.1" encoding="utf-8"?>

Survey about California GrasslandsLauren

WalkerWalkerurn:node:mnDemo22015-01-01T08:00:00Zuid=knbadmin,o=NCEAS,dc=ecoinformatics,dc=orguid=walker,o=NCEAS,dc=ecoinformatics

,dc=org834a64b2068f93ce028c03de8912b6b9MD5NCEAShttps://cn-sandbox-2.test.dataone.org/cn/v1/resolve/knb.3.1

urn:node:mnDemo22015-05-27T23:45:30.202Z2015-05-27T23:00:00Zknb.2.10.02015-01-01T08:00:00Z

https://cn-sandbox-2.test.dataone.org/cn/v1/resolve/knb.3.1

eml://ecoinformatics.org/eml-2.1.1METADATAss0s00s000s0000s00000s000000s0000000s00000000knb.3.1Walkertrue0.0NCEASLauren

Walker2015-05-27T07:00:00Zpublicuid=knbadmin,o=NCEAS,dc=ecoinformatics,dc=orguid=walker,o=NCEAS,dc=ecoinformatics,dc=orgurn:node:mn

Demo2urn:node:cnSandbox22015-05-27T23:45:10.893Z2015-05-27T23:45:17.797ZfalseresourceMap_knb.3.1uid=walker,o=NCEAS,dc=ecoinformati

cs,dc=orgCalifornia40430.0uid=walker,o=NCEAS,dc=ecoinformatics,dc=orgCalifornia Grasslands  NCEAS    Lauren  Walker   NCEAS   National

Center for Ecological Analysis and Synthesis  NCEAS    Lauren  Walker   associatedParty  2015-05-27  Survey about California Grasslands   no

restrictions    digital      2015     California   0.0000  0.0000  0.0000  0.0000      Lauren  Walker   NCEAS   data.txt   data.txt  1499 

85c5ddd96bb50f916275ca55c150213841ff6b91    text/plain      ecogrid://knb/knb.2.1     uid=knbadmin,o=NCEAS,dc=ecoinformatics,dc=org all   

uid=walker,o=NCEAS,dc=ecoinformatics,dc=org all    public  read      Other knb.3.1California

Grasslands0.0uid=knbadmin,o=NCEAS,dc=ecoinformatics,dc=orguid=walker,o=NCEAS,dc=ecoinformatics,dc=org

#4 - 2015-07-06 20:32 - Ben Leinfelder

- Category set to d1_cn_service

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 30 to 100

- Status changed from In Progress to Closed

Now deployed on cn-dev environment.
